Tool: list_pull_requests
Returns a list of pull requests in a Secure Source Manager repository.
The following code sample shows how to use curl to call the list_pull_requests MCP tool.
| Curl Request |
|---|
curl --location 'https://securesourcemanager.europe-west4.rep.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "list_pull_requests", "arguments": { // provide these details according to the tool's MCP specification } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
ListPullRequestsRequest is the request to list pull requests.
ListPullRequestsRequest
| JSON representation |
|---|
{ "parent": string, "pageSize": integer, "pageToken": string } |
| Fields | |
|---|---|
parent |
Required. The repository in which to list pull requests. Format: |
pageSize |
Optional. Requested page size. If unspecified, a default size of 30 will be used. The maximum value is 100; values above 100 will be coerced to 100. |
pageToken |
Optional. A token identifying a page of results the server should return. |
Output Schema
ListPullRequestsResponse is the response to list pull requests.
ListPullRequestsResponse
| JSON representation |
|---|
{
"pullRequests": [
{
object ( |
| Fields | |
|---|---|
pullRequests[] |
The list of pull requests. |
nextPageToken |
A token identifying a page of results the server should return. |
PullRequest
| JSON representation |
|---|
{ "name": string, "title": string, "body": string, "base": { object ( |
| Fields | |
|---|---|
name |
Output only. Identifier. A unique identifier for a PullRequest. The number appended at the end is generated by the server. Format: |
title |
Required. The pull request title. |
body |
Optional. The pull request body. Provides a detailed description of the changes. |
base |
Required. The branch to merge changes in. |
head |
Immutable. The branch containing the changes to be merged. |
state |
Output only. State of the pull request (open, closed or merged). |
createTime |
Output only. Creation timestamp. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
updateTime |
Output only. Last updated timestamp. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
closeTime |
Output only. Close timestamp (if closed or merged). Cleared when pull request is re-opened. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
Branch
| JSON representation |
|---|
{ "ref": string, "sha": string } |
| Fields | |
|---|---|
ref |
Required. Name of the branch. |
sha |
Output only. The commit at the tip of the branch. |
Timestamp
| JSON representation |
|---|
{ "seconds": string, "nanos": integer } |
| Fields | |
|---|---|
seconds |
Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z). |
nanos |
Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive. |
State
State of the pull request.
| Enums | |
|---|---|
STATE_UNSPECIFIED |
Unspecified. |
OPEN |
An open pull request. |
CLOSED |
A closed pull request. |
MERGED |
A merged pull request. |
Tool Annotations
Destructive Hint: ❌ | Idempotent Hint: ❌ | Read Only Hint: ✅ | Open World Hint: ❌